UDL(1)

NAME
udl - convert text files between different architectures

SYNOPSIS
udl -u|m|g [ -RvpVh ] file1 [ file2 ... ]

DESCRIPTION
udl converts files between different computer systems by changing the EOL (End-Of-Line) character.

On the Apple IIgs, udl will skip any file that is not of type TXT or SRC. No notice is given of this unless the -v flag is used. Since Unix file systems do not have file types udl is limited in the types of checks which it can carry out, so the user must take care that it is not invoked on object files or the like. On both platforms, if file appears to be a binary file (that is, no EOL is found in the first part of the file) then file will be skipped. Again, no notice is given of this unless the -v flag is used.

During file conversion udl creates a temporary file in the same directory as the original file. The temporary file is close to or exactly the same size as the original file.

When running under Byteworks' ORCA shell, the Orca shell wildcards = and ? are properly expanded in file names.

OPTIONS

-u  Convert to use LF as EOL (Unix/Amiga).

-m  Convert to use CR/LF as EOL (MS-DOS).

-g  Convert to use CR as EOL (Apple).

-p  Be pedantic, only affects Unix<->Apple conversions, see below.

-R  Recurse through subdirectories.

-v  Be verbose, show the file udl is currently working on.

-V  Print out udl's version number and abort.

-h  Print out usage information for udl.

If you specify the -p switch, udl is pedantic while doing the conversion. This means: The input file may contain bytes with a value of zero (0), and the input file may contain different EOL characters (ie: MS-DOS and Unix style might be mixed in one file). For conversions to or from MS-DOS udl is always pedantic, so this only affects conversions from Unix to Apple or vice versa. Being pedantic slows udl down by a factor of 1.5.

LIMITATIONS
When running under GNO on the Apple IIgs, there is a limit to the nesting depth when recusing on subdirectories. This is because the routine that is responsible for this behavior is itself recursive. The default 2k stack size will allow about 33 levels of nested directories, so this limit should not normally be a problem. If the limit is exceeded, udl will exit with an error message before any files are changed, and before the stack actually overflows.

BUGS
Bug reports should be directed to one of the two addresses below.

AUTHOR
Soenke Behrens <sbehrens@contech.demon.co.uk> with contributions by Devin Reade <gdr@myrias.ab.ca>.

VERSION
This is udl version 1.1.5.